Redmine - Defect #30287

The tooltip layout of the calendar is broken
2018-12-28 03:08 - Mizuki ISHIKAWA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Calendar Estimated time: 0.00 hour
Target version: 4.0.1

Resolution: Fixed Affected version: 4.0.0
Description

The layout of the assignee icon in the tooltip of the calendar is broken.

Expected output Actual output

expected.png actual.png

Associated revisions

Revision 17821 - 2019-01-19 12:50 - Jean-Philippe Lang
The tooltip layout of the calendar is broken (#30287).

Patch by Mizuki ISHIKAWA.

Revision 17822 - 2019-01-19 12:51 - Jean-Philippe Lang
Merged r17821 to 4.0-stable (#30287).

History

#1 - 2018-12-28 03:12 - Mizuki ISHIKAWA
| think that it will be fixed by adding the following CSS.

diff --git a/public/stylesheets/application.css b/public/stylesheets/application.css
index 039cc07a9d..bff156820a 100644
-—- a/public/stylesheets/application.css
+++ b/public/stylesheets/application.css
@@ -962,6 +962,11 Q@ p.cal.legend span {display:block;}
.tooltip span.tip{display: none; text-align:left;}
.tooltip span.tip a { color: #169 !important; }

+.tooltip span.tip img.gravatar {
+ float: none;

+ margin: 0;

+1}

L

div.tooltip:hover span.tipf{
display:block;
position:absolute;

#2 - 2018-12-28 03:44 - Go MAEDA

- Target version set to 4.0.1

#3 - 2018-12-30 08:14 - Marius BALTEANU

What do you think if we refactor the tooltip and use a list or div elements (like in the issue page) to render the issue attributes instead of the current
implementation and proposed fix?

#4 - 2019-01-19 12:52 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
Patch committed, thanks.
Marius BALTEANU wrote:
What do you think if we refactor the tooltip and use a list or div elements (like in the issue page) to render the issue attributes instead of the

current implementation and proposed fix?

If it simplifies the css, that would be great. Please feel free to submit a patch for next release.
